WaBarycenter {Barycenter} | R Documentation

## Regularized Wasserstein Barycenters

### Description

`WaBarycenter` takes in a list of matrices representing joint measures on the row and column space and outputs the corresponding Barycenter. The list has to consist of matrices having all the same dimensions, for instance, each matrix represents the normalized weights of the corresponding pixels of images.

### Usage

    WaBarycenter(images, maxIter = 10, lambda = FALSE, costm = FALSE)

### Arguments

`images` | A list of matrices satisfying the prerequisites described above.
`maxIter` | Maximum number of iterations.
`lambda` | Non-negative regularization parameter (for large lambda the regularized Barycenter is close to its true counterpart). If FALSE the algorithm uses a lambda depending on `costm`.
`costm` | A matrix of pairwise distances between the locations. If FALSE the algorithm uses the usual euclidean distance matrix on a [0,1]x[0,1] equidistant pixel grid.

### Value

The Barycenter of the matrices, represented by a n x m matrix.

Given the MNIST dataset, a Barycenter of the digit three is shown below. The Barycenter is based on 4351 images each represented by a 28 x 28 pixel grid, respectively. The values for `lambda` and `maxIter` were set by default. The dataset is also available in this package (c.f. three).

### Author(s)

Marcel Klatt

### References

Cuturi, M.: `Fast Computation of Wasserstein Barycenters`, Proceedings of the International Conference on Machine Learning, Beijing, China, 2014

### Examples

    #Computation of a Barycenter based on five images representing the digit eight, respectively.
    WaBarycenter(eight,lambda=10)
    #For a more reasonable but longer computation!
    ## Not run: WaBarycenter(eight)

[Package Barycenter version 1.3.1 Index]